Skip to main content
PUT
/
api2
/
v1
/
machineTranslateSettings
/
{mtsUid}
Update machine translate settings
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v1/machineTranslateSettings/{mtsUid} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "type": "<string>",
  "default_": true
}
'
{
  "args": {},
  "baseName": "<string>",
  "category": "<string>",
  "default_": true,
  "enabled": true,
  "id": "<string>",
  "includeTags": true,
  "langs": {
    "id": "<string>",
    "sourceLang": "<string>",
    "targetLangs": [
      "<string>"
    ]
  },
  "mtQualityEstimation": true,
  "name": "<string>",
  "type": "<string>",
  "uid": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

mtsUid
string
required

Body

application/json
name
string
required
Maximum string length: 255
type
string
required

Type of the setting with predefined Enumeration

default_
boolean

Make default setting. Default: false

Response

OK

args
object
baseName
string
category
string
default_
boolean
enabled
boolean
id
string
includeTags
boolean
langs
object
mtQualityEstimation
boolean
name
string
type
string
uid
string